module(...)
--magic editor build
DATA={
	atk_stophit=false,
	cmds={
		[1]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_311/Prefabs/311_attack3.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.55,
		},
		[2]={args={},func_name=[[MagcAnimEnd]],start_time=0.9,},
		[3]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=1.4,
		},
		[4]={args={},func_name=[[End]],start_time=1.7,},
	},
	group_cmds={},
	magic_anim_end_time=0.9,
	pre_load_res={[1]=[[Effect/Magic/magic_eff_new_311/Prefabs/311_attack3.prefab]],},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
